* {
	padding: 0px;
	margin: 0px;
}

html {
	font-family: monospace;
	color: rgb(113, 113, 113);
}

.button {
	width: 200px;
	border-style: hidden;
	box-shadow: 4px 4px 6px rgb(65, 65, 65);
	height: 50px;
	font-weight: bold;
	font-size: 18px;
	margin: 5px 10px;
	border-radius: 20px 0px 20px 20px;
	font-family: 'Montserrat', sans-serif;
	letter-spacing: 1px;

	border: 1px solid rgb(154, 138, 103);
	color: rgb(113, 113, 113);
	background-color: #a7a5a5;
	opacity: 0.5;
}

.active {
	opacity: 1;
	color: rgb(0, 0, 0);
	background-image: linear-gradient(45deg, #107bff 0%, #f6ff00 51%, #107bff 100%);
	background-size: 200% auto;
	transition: .5s;
	cursor: pointer;
}

.active:hover {
	background-position: right center;
}

.active:active {
	position: relative;
	right: -2px;
	bottom: -2px;
	transition: .0s;
	box-shadow: 3px 3px rgb(74, 73, 73);
	transform: scale(0.97);
	border: 1px solid rgb(152, 134, 92);
}

.container {
	margin: 50px auto;
	width: 900px;
	display: flex;
	justify-content: center;
	flex-direction: column;
	align-items: center;
	text-align: center;
	gap: 30px;
	border: 10px solid rgba(78, 111, 159, 0.49);
	border-radius: 20px;
	padding: 20px;
}

.display {
	width: 200px;
	height: 200px;
	border: 10px solid rgba(78, 111, 159, 0.49);
	border-radius: 20px;
	text-align: center;
	padding: 20px;
	font-size: 18px;
	font-weight: 600;
	color: rgba(77, 49, 16, 0.545);
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-direction: column;
	gap: 40px;
	display: none;
	position: relative;
}

.number {
	position: absolute;
	width: max-content;
	height: max-content;
	font-size: 50px;
	font-weight: 600;
	color: rgba(77, 49, 16, 0.545);
	line-height: 50px;
	top: 40%;
}

.btn__inc,
.btn__dec,
.btn__finish {
	display: none;
}